import * as react_jsx_runtime from 'react/jsx-runtime';
import { ReactElement } from 'react';

interface Column<T> {
    key: string;
    title: string | ReactElement;
    width?: number;
    render?: (column: Column<T>, item: T) => ReactElement;
}

type Props<T> = {
    columns: Array<Column<T>>;
    data?: T[];
    className: {
        container: string;
        wrapper: string;
        thead: string;
        table: string;
        tbody: string;
        th: string;
        td: string;
        empty?: string;
    };
};
declare const Table: <T>({ data, columns, className }: Props<T>) => react_jsx_runtime.JSX.Element;

export { type Column, Table };
